'use strict';

var Server = require('./modules/Server');
var _Router = require('./modules/Router');

var main = {
  /**
   * creates an r server instance
   * @param config - config file location or configuration object, defaults to .server.js
   */
  create: function create() {
    var config = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '.server.js';
    return new Server(config);
  },

  /**
   * creates a mountable router
   * @param inheritMiddlewares - indicates if parent middlewares should be inherited
   */
  Router: function Router() {
    var inheritMiddlewares = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
    return new _Router(inheritMiddlewares);
  }
};

module.exports = main;
//# sourceMappingURL=main.js.map
